#
# spec file for package klock (Version 0.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         klock
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      a clock
Version:      0.3.1
Release:      259
Source0:      klock-0.3.1.tar.bz2
Patch0: klock-0.3.1.dif

%description
A desktop clock for the KDE.

Authors:
--------
    Norbert Andres <NAndres@gmx.de>

SuSE series: k2de

%prep
%setup -n kdclock-0.3.1
%patch -p 0 -E

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
install -d  /opt/kde2/share/icons/hicolor/16x16/apps/
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL TODO README NEWS 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
/opt/kde2/bin/kdclock
/opt/kde2/share/applnk/Utilities/kdclock.desktop
/opt/kde2/share/icons/locolor/16x16/apps/kdclock.png
/opt/kde2/share/icons/locolor/32x32/apps/kdclock.png

%changelog -n klock
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Feb 23 2001 - ro@suse.de
- added fam
* Wed Jan 03 2001 - adrian@suse.de
- update to 0.3.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Tue Nov 14 2000 - adrian@suse.de
- new version 0.3
* Thu Nov 09 2000 - adrian@suse.de
- fixed doc install directory
* Sun Nov 05 2000 - adrian@suse.de
- Spec file created from klock-0.2.tar.bz2 by autospec
